> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Metrics Global

> This route allows you to get the cashbacks of a specific consumer, ventilated per status.
Cashback statuses are:
- PENDING: The cashback has been generated but is not yet validated (PENDING_VALIDATION). total_pending_cashback_amount
- VALIDATED: A cashback that has passed the validation period (e.g. 14 days of retraction for a classical purchase). The cashback can't be cancelled when validated total_validated_cashback_amount.
- PAID_IN: The cashback money has been collected from the merchant, but not yet transfered (paid out) to the consumer. total_paid_in_cashback_amount
- PAID_OUT: The cashback money has been transfered to the consumer pay out account. total_paid_out_cashback_amount
- CANCELLED: The cashback has been cancelled. total_cancelled_cashback_amount
We also return the total number of cashbacks since user acceptance of the terms of services and the total amount of cashbacks, whatever the status.
Do not compute cancelled cashbacks in total amount and total cashbacks.
This is especially useful for programs with pool, enabling to show how much money has been collected so far, but not yet transferred to the consumer.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.7/connector.json get /connectors/consumers/{consumer_id}/metrics
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.7
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/consumers/{consumer_id}/metrics:
    get:
      tags:
        - Metrics
      summary: Metrics Global
      description: >
        This route allows you to get the cashbacks of a specific consumer,
        ventilated per status.

        Cashback statuses are:

        - PENDING: The cashback has been generated but is not yet validated
        (PENDING_VALIDATION). total_pending_cashback_amount

        - VALIDATED: A cashback that has passed the validation period (e.g. 14
        days of retraction for a classical purchase). The cashback can't be
        cancelled when validated total_validated_cashback_amount.

        - PAID_IN: The cashback money has been collected from the merchant, but
        not yet transfered (paid out) to the consumer.
        total_paid_in_cashback_amount

        - PAID_OUT: The cashback money has been transfered to the consumer pay
        out account. total_paid_out_cashback_amount

        - CANCELLED: The cashback has been cancelled.
        total_cancelled_cashback_amount

        We also return the total number of cashbacks since user acceptance of
        the terms of services and the total amount of cashbacks, whatever the
        status.

        Do not compute cancelled cashbacks in total amount and total cashbacks.

        This is especially useful for programs with pool, enabling to show how
        much money has been collected so far, but not yet transferred to the
        consumer.
      operationId: get.Global.impersonate
      parameters:
        - description: The id you used to create the given consumer
          in: path
          name: consumer_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metrics'
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    Metrics:
      properties:
        date:
          description: Object creation datetime
          example: '2018-12-26T13:45:36.173196+00:00'
          format: date-time
          type: string
        total_cashback:
          description: Number of cashbacks
          example: 34
          type: number
        total_cashback_amount:
          description: Sum of cashback amounts
          example: 438.12
          type: number
        total_paid_in_cashback_amount:
          description: Sum of paid in cashback amounts
          example: 1456.32
          type: number
        total_paid_out_cashback_amount:
          description: Sum of paid out cashback amounts
          example: 135.83
          type: number
        total_pending_cashback_amount:
          description: Sum of pending cashback amounts
          example: 76.3
          type: number
        total_validated_cashback_amount:
          description: Sum of validated cashback amounts
          example: 246.78
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````